## org.apache.hadoop.mapred
Interface TaskTrackerMXBean

All Known Implementing Classes:
  TaskTracker

    public interface TaskTrackerMXBean

MXBean interface for TaskTracker

Method Summary
`String` `getConfigVersion()`
`String` `getHostname()`
`int` `getHttpPort()`
`String` `getJobTrackerUrl()`
`int` `getRpcPort()`
`String` `getTasksInfoJson()`
`String` `getVersion()`
`boolean` `isHealthy()`

Method Detail

### getHostname

    String getHostname()

  Returns:
    the hostname of the tasktracker

### getVersion

    String getVersion()

  Returns:
    the version of the code base

### getConfigVersion

    String getConfigVersion()

  Returns:
    the config version (from a config properties)

### getJobTrackerUrl

    String getJobTrackerUrl()

  Returns:
    the URL of the jobtracker

### getRpcPort

    int getRpcPort()

  Returns:
    the RPC port of the tasktracker

### getHttpPort

    int getHttpPort()

  Returns:
    the HTTP port of the tasktracker

### isHealthy

    boolean isHealthy()

  Returns:
    the health status of the tasktracker

### getTasksInfoJson

    String getTasksInfoJson()

  Returns:
    a json formatted info about tasks of the tasktracker

Copyright © 2009 The Apache Software Foundation